
/**
 * Write a description of class Modelo here.
 * 
 * @author DCC + PRH
 * @version 2006.04.15
 */
public class Modelo
{
	// instance variables 
	private final int MAXCOMP = 100;
	
	private float PreCusto;
	private int TempoFabrico;
	private String Montagem;	
	private String[] Componentes;	
	
	/**
	 * Constructor for objects of class Modelo
	 */
	public Modelo()
	{
		// initialise instance variables
		PreCusto = 0;
		TempoFabrico = 0;
		Montagem = "";
		Componentes = new String[MAXCOMP];
	}

	/**
	 * Set and Get Attribute values 
	 * 
	 */
	// Set attributes (instance variables)
	public void setPC(float p)
	{
		this.PreCusto = p;
	}
	public void setTF(int t)
	{
		this.TempoFabrico = t;
	}
	public void setMonta(String m)
	{
		this.Montagem = m;
	}	
	public void setComp(String[] c)
	{
		this.Componentes = c.clone();
	}		
	// Get Attributes (the value of  instance variables)
	public float getPC()
	{
		return this.PreCusto;
	}
	public int setTF()
	{
		return this.TempoFabrico;
	}
	public String getMonta()
	{
		return this.Montagem;
	}	
	public String[] getComp()
	{
		return this.Componentes;
	}	
	
	/**
	 * Lista todos os Atributos do Modelo 
	 * 
	 * @param      não tem
	 * @return     nada 
	 */	
	public void mostraModelo()
	{
	    System.out.println("O Preco de Custo do Modelo e:   "+this.PreCusto);
        System.out.println("O Tempo de fabrico do Modelo e: "+this.TempoFabrico);
        System.out.println("O esquema de Montagem do Modelo e: "+this.Montagem);
        System.out.println("Os Componentes do Modelo sao: ");
        for (int i=0; i<this.Componentes.length; i++)
        {  System.out.print(" - "+this.Componentes[i]); }
        System.out.println();
	}	
}

